Commit 32c91118 authored by Owen Arnold's avatar Owen Arnold
Browse files

Update install script to work on windows mantid installation

parent 8c1d4d87
...@@ -69,6 +69,14 @@ if __name__ == "__main__": ...@@ -69,6 +69,14 @@ if __name__ == "__main__":
parser.add_argument('-u', '--uninstall', action='store_true', default=False, help='uninstall any existing wfm-stitching package') parser.add_argument('-u', '--uninstall', action='store_true', default=False, help='uninstall any existing wfm-stitching package')
args = parser.parse_args() args = parser.parse_args()
interpreter = sys.executable interpreter = sys.executable
opt1 = sys.executable
if os.path.exists(opt1):
interpreter = opt1
else:
opt2 = os.path.join(os.path.dirname(sys.executable), 'python')
interpreter = opt2
if not os.path.exists(interpreter):
raise RuntimeError("Cannot find interpreter {0} or {1}".format(opt1, opt2))
if sys.version_info < (3, 5): if sys.version_info < (3, 5):
raise RuntimeError("Python version too old. Needs to be >= 3.5, but found {}".format(repr(sys.version_info))) raise RuntimeError("Python version too old. Needs to be >= 3.5, but found {}".format(repr(sys.version_info)))
if args.uninstall: if args.uninstall:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment